# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++ zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		tanglet
Version:	1.6.5
Release:	alt1_1
Summary:	Word finding game
Group:		Games/Puzzles
License:	GPLv3+
URL:		https://gottcode.org/%{name}/
Source0:	https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	qt6-base-devel
BuildRequires:	qt6-base-devel
BuildRequires:	qt6-tools-devel
BuildRequires:	qt6-base-devel
BuildRequires:	ccmake cmake ctest
Source44: import.info

%description
A single player word finding game based on Boggle. The object of the
game is to list as many words as you can before the time runs out.
There are several timer modes that determine how much time you start
with, and if you get extra time when you find a word.

You can join letters horizontally, vertically, or diagonally in any
direction to make a word, so as long as the letters are next to each
other on the board. However, you can not reuse the same letter cells
in a single word. Also, each word must be at least three letters on
a normal board, and four letters on a large board.

%prep
%setup -q

%build
%{mageia_cmake_qt6}
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*g
%{_mandir}/man6/%{name}.6*


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 1.6.5-alt1_1
- update by mgaimport

* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 1.6.4-alt1_1
- update by mgaimport

* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 1.6.1.1-alt1_2
- update by mgaimport

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 1.6.1.1-alt1_1
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_2
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_1
- update by mgaimport

* Tue Mar 24 2020 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_1
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.4-alt1_1
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.3-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.3-alt1_2
- update by mgaimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.3-alt1_1
- update by mgaimport

* Thu Jun 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.2-alt1_1
- update by mgaimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_1
- update by mgaimport

* Mon Feb 19 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.0-alt1_1
- update by mgaimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt1_1
- update by mgaimport

* Sun Jun 12 2016 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_2
- converted for ALT Linux by srpmconvert tools

